Bug 986174 - SELinux is preventing /usr/sbin/glusterfsd from module_request access on the system
SELinux is preventing /usr/sbin/glusterfsd from module_request access on the ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 984460
  Show dependency treegraph
 
Reported: 2013-07-19 02:39 EDT by Gowrishankar Rajaiyan
Modified: 2013-07-26 19:05 EDT (History)
6 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-66.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 19:05:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gowrishankar Rajaiyan 2013-07-19 02:39:22 EDT
SELinux is preventing /usr/sbin/glusterfsd from module_request access on the system .

*****  Plugin catchall_boolean (89.3 confidence) suggests  *******************

If you want to allow domain to kernel load modules
Then you must tell SELinux about this by enabling the 'domain_kernel_load_modules' boolean.

Do
setsebool -P domain_kernel_load_modules 1

*****  Plugin catchall (11.6 confidence) suggests  ***************************

If you believe that glusterfsd should be allowed module_request access on the  system by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep glusterfs /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp


Additional Information:
Source Context                system_u:system_r:glusterd_t:s0
Target Context                system_u:system_r:kernel_t:s0
Target Objects                 [ system ]
Source                        glusterfs
Source Path                   /usr/sbin/glusterfsd
Port                          <Unknown>
Host                          <Unknown>
Source RPM Packages           glusterfs-3.4.0-0.9.beta4.fc19.x86_64
Target RPM Packages
Policy RPM                    selinux-policy-3.12.1-65.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     dhcp201-146.englab.pnq.redhat.com
Platform                      Linux dhcp201-146.englab.pnq.redhat.com
                              3.9.5-301.fc19.x86_64 #1 SMP Tue Jun 11 19:39:38
                              UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-07-19 22:24:20 IST
Last Seen                     2013-07-19 22:24:20 IST
Local ID                      900d126c-d62d-471e-a241-0f11e06e08b1

Raw Audit Messages
type=AVC msg=audit(1374252860.926:3306): avc:  denied  { module_request } for  pid=20038 comm="glusterfs" kmod="char-major-10-229" scontext=system_u:system_r:glusterd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=system


type=SYSCALL msg=audit(1374252860.926:3306): arch=x86_64 syscall=open success=no exit=ENODEV a0=7fe472468f4a a1=2 a2=0 a3=1 items=0 ppid=20018 pid=20038 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=glusterfs exe=/usr/sbin/glusterfsd subj=system_u:system_r:glusterd_t:s0 key=(null)

Hash: glusterfs,glusterd_t,kernel_t,system,module_request

--------------------------------------------------------------------------------
Comment 1 Daniel Walsh 2013-07-19 07:00:32 EDT
8d6d8746885b5c6b79d7fb304e4c62520fa0849d fixes this in git.
Comment 3 Fedora Update System 2013-07-24 10:11:21 EDT
selinux-policy-3.12.1-66.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-66.fc19
Comment 4 Fedora Update System 2013-07-24 20:34:48 EDT
Package selinux-policy-3.12.1-66.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-66.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13543/selinux-policy-3.12.1-66.fc19
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-07-26 19:05:43 EDT
selinux-policy-3.12.1-66.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.